/* ------------------------------------
** This table provides the primary keys for all
** other tables in the system.  Should be used
** with util.db.IDBroker.
** -----------------------------------
*/
drop table id_table;

create table id_table
(
  id_table_id   integer NOT NULL,
  table_name    varchar(255) NOT NULL,
  next_id       integer,
  quantity      integer,
  PRIMARY KEY (ID_TABLE_ID)
);

create unique index id_table_id_table_id on id_table(id_table_id);


insert into ID_TABLE (id_table_id, table_name, next_id, quantity)
 values (1, 'Permission', 20, 10);
insert into ID_TABLE (id_table_id, table_name, next_id, quantity)
 values (2, 'UserRole', 20, 10);
insert into ID_TABLE (id_table_id, table_name, next_id, quantity)
 values (3, 'Visitor', 20, 10);
insert into ID_TABLE (id_table_id, table_name, next_id, quantity)
 values (4, 'Jobentry', 20, 10);
