/* ============================================================ */
/*   Database name:  TURBINE                                    */
/*   DBMS name:      Sybase AS Enterprise 11.5-11.9             */
/*   Created on:     5/25/00  1:26 PM                           */
/* ============================================================ */

/* ============================================================ */
/*   Table: ID_TABLE                                            */
/* ============================================================ */

if exists (select 1 from sysobjects where type = "U" and name = "ID_TABLE")
begin
	drop table ID_TABLE
end
go

create table ID_TABLE
(
    ID_TABLE_ID     int                    not null,
    TABLE_NAME      varchar(255)           not null,
    NEXT_ID         int                    null    ,
    QUANTITY        int                    null    ,
    constraint ID_TABLE_PK primary key (ID_TABLE_ID)
)
go

/* ============================================================ */
/*   Index: TABLE_NAME                                          */
/* ============================================================ */
create unique index TABLE_NAME on ID_TABLE (TABLE_NAME)
go
